## serd 0.14.0~dfsg0

=== wscript ===
#!/usr/bin/env python
import glob
import os
import shutil
import subprocess
import sys

from waflib.extras import autowaf as autowaf
import waflib.Logs as Logs, waflib.Options as Options

# Version of this package (even if built as a child)
SERD_VERSION       = '0.14.0'
SERD_MAJOR_VERSION = '0'

# Library version (UNIX style major, minor, micro)
# major increment <=> incompatible changes
# minor increment <=> compatible changes (additions)
# micro increment <=> no interface changes
# Serd uses the same version number for both library and package
SERD_LIB_VERSION = SERD_VERSION

# Variables for 'waf dist'
APPNAME = 'serd'
VERSION = SERD_VERSION

# Mandatory variables
top = '.'
out = 'build'

def options(opt):
    opt.load('compiler_c')
    autowaf.set_options(opt)
    opt.add_option('--no-utils', action='store_true', default=False, dest='no_utils',
                   help="Do not build command line utilities")
    opt.add_option('--test', action='store_true', default=False, dest='build_tests',
                   help="Build unit tests")
    opt.add_option('--stack-check', action='store_true', default=False, dest='stack_check',
                   help="Include runtime stack sanity checks")
    opt.add_option('--static', action='store_true', default=False, dest='static',
                   help="Build static library")
    opt.add_option('--largefile', action='store_true', default=False, dest='largefile',
                   help="Build with large file support on 32-bit systems")

def configure(conf):
    conf.load('compiler_c')
    autowaf.configure(conf)
    autowaf.display_header('Serd Configuration')

    if conf.env['MSVC_COMPILER']:
        conf.env.append_unique('CFLAGS', ['-TP', '-MD'])
    else:
        conf.env.append_unique('CFLAGS', '-std=c99')

    conf.env['BUILD_TESTS'] = Options.options.build_tests
    conf.env['BUILD_UTILS'] = not Options.options.no_utils
    conf.env['BUILD_STATIC'] = Options.options.static

    if Options.options.stack_check:
        autowaf.define(conf, 'SERD_STACK_CHECK', SERD_VERSION)

    if Options.options.largefile:
        conf.env.append_unique('CFLAGS', '-D_FILE_OFFSET_BITS=64')

    # Check for gcov library (for test coverage)
    if conf.env['BUILD_TESTS']:
        conf.check_cc(lib='gcov',
                      define_name='HAVE_GCOV',
                      mandatory=False)

    # Check for fmax
    conf.check(function_name='fmax',
               header_name='math.h',
               define_name='HAVE_FMAX',
               lib=['m'],
               mandatory=False)

    # Check for posix_memalign
    conf.check(function_name='posix_memalign',
               header_name='stdlib.h',
               define_name='HAVE_POSIX_MEMALIGN',
               cflags='-D_POSIX_C_SOURCE=201112L',
               mandatory=False)

    # Check for posix_fadvise
    conf.check(function_name='posix_fadvise',
               header_name='fcntl.h',
               define_name='HAVE_POSIX_FADVISE',
               cflags='-D_POSIX_C_SOURCE=201112L',
               mandatory=False)

    # Check for fileno
    conf.check(function_name='fileno',
               header_name='stdio.h',
               define_name='HAVE_FILENO',
               cflags='-D_POSIX_C_SOURCE=201112L',
               mandatory=False)

    autowaf.define(conf, 'SERD_VERSION', SERD_VERSION)
    conf.write_config_header('serd_config.h', remove=False)

    conf.env['INCLUDES_SERD'] = ['%s/serd-%s' % (conf.env['INCLUDEDIR'],
                                                 SERD_MAJOR_VERSION)]
    conf.env['LIBPATH_SERD'] = [conf.env['LIBDIR']]
    conf.env['LIB_SERD'] = ['serd-%s' % SERD_MAJOR_VERSION];

    autowaf.display_msg(conf, "Utilities", str(conf.env['BUILD_UTILS']))
    autowaf.display_msg(conf, "Unit tests", str(conf.env['BUILD_TESTS']))
    print('')

lib_source = [
    'src/env.c',
    'src/node.c',
    'src/reader.c',
    'src/string.c',
    'src/uri.c',
    'src/writer.c',
]

def build(bld):
    # C Headers
    includedir = '${INCLUDEDIR}/serd-%s/serd' % SERD_MAJOR_VERSION
    bld.install_files(includedir, bld.path.ant_glob('serd/*.h'))

    # Pkgconfig file
    autowaf.build_pc(bld, 'SERD', SERD_VERSION, SERD_MAJOR_VERSION, [],
                     {'SERD_MAJOR_VERSION' : SERD_MAJOR_VERSION})

    libflags = [ '-fvisibility=hidden' ]
    libs     = [ 'm' ]
    defines  = []
    if bld.env['MSVC_COMPILER']:
        libflags = []
        libs     = []
        defines  = ['snprintf=_snprintf']

    # Shared Library
    obj = bld(features        = 'c cshlib',
              export_includes = ['.'],
              source          = lib_source,
              includes        = ['.', './src'],
              lib             = libs,
              name            = 'libserd',
              target          = 'serd-%s' % SERD_MAJOR_VERSION,
              vnum            = SERD_LIB_VERSION,
              install_path    = '${LIBDIR}',
              defines         = defines,
              cflags          = libflags + [ '-DSERD_SHARED',
                                             '-DSERD_INTERNAL' ])

    # Static library
    if bld.env['BUILD_STATIC']:
        obj = bld(features        = 'c cstlib',
                  export_includes = ['.'],
                  source          = lib_source,
                  includes        = ['.', './src'],
                  lib             = libs,
                  name            = 'libserd_static',
                  target          = 'serd-%s' % SERD_MAJOR_VERSION,
                  vnum            = SERD_LIB_VERSION,
                  install_path    = '${LIBDIR}',
                  defines         = defines,
                  cflags          = ['-DSERD_INTERNAL'])

    if bld.env['BUILD_TESTS']:
        test_libs   = libs
        test_cflags = ['']
        if bld.is_defined('HAVE_GCOV'):
            test_libs   += ['gcov']
            test_cflags += ['-fprofile-arcs', '-ftest-coverage']

        # Static library (for unit test code coverage)
        obj = bld(features     = 'c cstlib',
                  source       = lib_source,
                  includes     = ['.', './src'],
                  lib          = test_libs,
                  name         = 'libserd_profiled',
                  target       = 'serd_profiled',
                  install_path = '',
                  defines      = defines,
                  cflags       = test_cflags + ['-DSERD_INTERNAL'])

        # Unit test serdi
        obj = bld(features     = 'c cprogram',
                  source       = 'src/serdi.c',
                  includes     = ['.', './src'],
                  use          = 'libserd_profiled',
                  lib          = test_libs,
                  target       = 'serdi_static',
                  install_path = '',
                  defines      = defines,
                  cflags       = test_cflags)

        # Unit test program
        obj = bld(features     = 'c cprogram',
                  source       = 'tests/serd_test.c',
                  includes     = ['.', './src'],
                  use          = 'libserd_profiled',
                  lib          = test_libs,
                  target       = 'serd_test',
                  install_path = '',
                  defines      = defines,
                  cflags       = test_cflags)

    # Utilities
    if bld.env['BUILD_UTILS']:
        obj = bld(features     = 'c cprogram',
                  source       = 'src/serdi.c',
                  includes     = ['.', './src'],
                  use          = 'libserd',
                  target       = 'serdi',
                  install_path = '${BINDIR}')

    # Documentation
    autowaf.build_dox(bld, 'SERD', SERD_VERSION, top, out)

    # Man page
    bld.install_files('${MANDIR}/man1', 'doc/serdi.1')

    bld.add_post_fun(autowaf.run_ldconfig)
    if bld.env['DOCS']:
        bld.add_post_fun(fix_docs)

def lint(ctx):
    subprocess.call('cpplint.py --filter=+whitespace/comments,-whitespace/tab,-whitespace/braces,-whitespace/labels,-build/header_guard,-readability/casting,-readability/todo,-build/include src/* serd/*', shell=True)

def amalgamate(ctx):
    shutil.copy('serd/serd.h', 'build/serd.h')
    amalgamation = open('build/serd.c', 'w')

    serd_internal_h = open('src/serd_internal.h')
    for l in serd_internal_h:
        if l == '#include "serd/serd.h"\n':
            amalgamation.write('#include "serd.h"\n')
        else:
            amalgamation.write(l)
    serd_internal_h.close()

    for f in lib_source:
        fd = open(f)
        amalgamation.write('\n/**\n   @file %s\n*/' % f)
        header = True
        for l in fd:
            if header:
                if l == '*/\n':
                    header = False
            else:
                if l != '#include "serd_internal.h"\n':
                    amalgamation.write(l)
        fd.close()
    amalgamation.close()

    for i in ['c', 'h']:
        Logs.info("Wrote build/serd.%s" % i)

def build_dir(ctx, subdir):
    if autowaf.is_child():
        return os.path.join('build', APPNAME, subdir)
    else:
        return os.path.join('build', subdir)

def fix_docs(ctx):
    try:
        top = os.getcwd()
        os.chdir(build_dir(ctx, 'doc/html'))
        os.system("sed -i 's/SERD_API //' group__serd.html")
        os.system("sed -i 's/SERD_DEPRECATED //' group__serd.html")
        os.system("sed -i 's/href=\"doc\/style.css\"/href=\"style.css\"/' group__serd.html")
        os.remove('index.html')
        os.symlink('group__serd.html', 'index.html')
        os.chdir(top)
        os.chdir(build_dir(ctx, 'doc/man/man3'))
        os.system("sed -i 's/SERD_API //' serd.3")
        os.chdir(top)
    except:
        Logs.error("Failed to fix up %s documentation" % APPNAME)

def upload_docs(ctx):
    os.system("rsync -ravz --delete -e ssh build/doc/html/ drobilla@drobilla.net:~/drobilla.net/docs/serd/")

def file_equals(patha, pathb, subst_from='', subst_to=''):
    fa = open(patha, 'rU')
    fb = open(pathb, 'rU')
    for line in fa:
        if line.replace(subst_from, subst_to) != fb.readline().replace(subst_from, subst_to):
            return False
    fa.close()
    fb.close()
    return True

def test(ctx):
    blddir = build_dir(ctx, 'tests')
    try:
        os.makedirs(blddir)
    except:
        pass

    for i in glob.glob(blddir + '/*.*'):
        os.remove(i)

    srcdir   = ctx.path.abspath()
    orig_dir = os.path.abspath(os.curdir)

    os.chdir(srcdir)

    good_tests = glob.glob('tests/test-*.ttl')
    good_tests.sort()

    bad_tests = glob.glob('tests/bad-*.ttl')
    bad_tests.sort()

    os.chdir(orig_dir)

    autowaf.pre_test(ctx, APPNAME)

    os.environ['PATH'] = '.' + os.pathsep + os.getenv('PATH')

    autowaf.run_tests(ctx, APPNAME, ['serd_test'], dirs=['.'])

    autowaf.run_tests(ctx, APPNAME, [
            'serdi_static -o turtle %s/tests/base.ttl "base.ttl" > tests/base.ttl.out' % srcdir],
                      0, name='base')

    if not file_equals('%s/tests/base.ttl' % srcdir, 'tests/base.ttl.out'):
        Logs.pprint('RED', 'FAIL: build/tests/base.ttl.out is incorrect')

    nul = os.devnull
    autowaf.run_tests(ctx, APPNAME, [
            'serdi_static file://%s/tests/manifest.ttl > %s' % (srcdir, nul),
            'serdi_static %s/tests/UTF-8.ttl > %s' % (srcdir, nul),
            'serdi_static -v > %s' % nul,
            'serdi_static -h > %s' % nul,
            'serdi_static -s "<foo> a <#Thingie> ." > %s' % nul,
            'serdi_static %s > %s' % (nul, nul)],
                      0, name='serdi-cmd-good')

    autowaf.run_tests(ctx, APPNAME, [
            'serdi_static > %s' % nul,
            'serdi_static ftp://example.org/unsupported.ttl > %s' % nul,
            'serdi_static -i > %s' % nul,
            'serdi_static -o > %s' % nul,
            'serdi_static -z > %s' % nul,
            'serdi_static -p > %s' % nul,
            'serdi_static -c > %s' % nul,
            'serdi_static -r > %s' % nul,
            'serdi_static -i illegal > %s' % nul,

=== debian/changelog ===
serd (0.14.0~dfsg0-2) unstable; urgency=low

  * Add patch to prevent FTBFS on kfreebsd.
  * Update debian/copyright.

 -- Alessio Treglia <alessio@debian.org>  Thu, 19 Apr 2012 13:31:01 +0200

serd (0.14.0~dfsg0-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Refresh symbols file.
  * Bump debhelper requirement to 9.
  * Put in serd-dbg only symbols from libserd-0-0.
  * Set 'xz' as upstream tarball compression format.
  * Update debian/copyright's format.
  * debian/watch: Mangle dfsg suffix.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Thu, 19 Apr 2012 11:48:16 +0200

=== debian/control ===
Source: serd
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>
Build-Depends:
 debhelper (>= 9),
 pkg-config,
 python
Build-Depends-Indep:
 doxygen,
 graphviz
Standards-Version: 3.9.3
Homepage: http://drobilla.net/software/serd/
Vcs-Git: git://git.debian.org/git/pkg-multimedia/serd.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/serd.git

Package: libserd-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libserd-0-0 (= ${binary:Version}),
 ${misc:Depends}
Recommends:
 pkg-config
Suggests:
 libserd-doc
Description: lightweight RDF syntax library - development files
 Serd is a lightweight C library for RDF syntax which supports reading
 and writing Turtle and NTriples.
 .
 This package provides the development files for Serd.

Package: libserd-0-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 serdi
Description: lightweight RDF syntax library
 Serd is a lightweight C library for RDF syntax which supports reading
 and writing Turtle and NTriples.
 .
 Serd is not intended to be a swiss-army knife of RDF syntax, but rather
 is suited to resource limited applications, or situations where a simple
 reader/writer with minimal dependencies is ideal (e.g. in LV2 hosts or
 plugins).
 .
 Serd is:
  * small: Serd is implemented in under 2500 lines1 of standard C code.
  * portable and dependency-free: Serd uses only the C standard library,
    and has no external dependencies, making it a lightweight dependency
    in every sense.
  * fast and lightweight: Serd (and the included serdi tool) can be used
    to stream abbreviated Turtle (unlike many other tools which can not
    stream since they must first build an internal model to abbreviate).
    In other words, Serd can re-serialise an unbounded amount of Turtle
    using a fixed amount of memory, preserving the abbreviations in the
    input.
  * conformant and well-tested: Serd is written to the Turtle, NTriples
    and URI specifications, and includes a comprehensive test suite which
    includes all the normative examples from the Turtle specification, all
    the "normal" examples from the URI specification, and additional tests
    added specifically for Serd. The test suite has over 96% code coverage
    (by line), and runs with zero memory errors or leaks.

Package: serdi
Architecture: any
Section: text
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: lightweight RDF syntax library - serdi tool
 Serd is a lightweight C library for RDF syntax which supports reading
 and writing Turtle and NTriples.
 .
 This package provides the utility 'serdi'.

Package: libserd-doc
Section: doc
Architecture: all
Enhances:
 libserd-dev
Depends:
 ${misc:Depends}
Description: lightweight RDF syntax library - documentation
 Serd is a lightweight C library for RDF syntax which supports reading
 and writing Turtle and NTriples.
 .
 This package provides the developer's reference for serd.

Package: serd-dbg
Architecture: any
Multi-Arch: same
Priority: extra
Section: debug
Depends:
 libserd-0-0 (= ${binary:Version}),
 ${misc:Depends}
Description: lightweight RDF syntax library - debugging symbols
 Serd is a lightweight C library for RDF syntax which supports reading
 and writing Turtle and NTriples.
 .
 This package contains the debugging symbols for serd.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LDFLAGS+=-Wl,--as-needed
WAF = ./waf

ifeq ($(shell dpkg-query -s doxygen graphviz 1>/dev/null 2>&1 && echo yes),yes)
CONFIGURE_EXTRA_FLAGS += --docs
endif

%:
	dh $@

override_dh_auto_configure:
	$(WAF) configure \
		--prefix=/usr \
		--mandir=/usr/share/man \
		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--strict \
		--debug \
		$(CONFIGURE_EXTRA_FLAGS)

override_dh_auto_build:
	$(WAF)

override_dh_auto_clean:
	$(WAF) clean || true
	find -name "*.pyc" -delete
	rm -rf build .waf*
	dh_auto_clean

override_dh_auto_install:
	$(WAF) install --destdir=$(CURDIR)/debian/tmp

override_dh_strip:
	dh_strip -plibserd-0-0 --dbg-package=serd-dbg
	dh_strip --remaining-packages

## serd 0.18.0~dfsg0

=== wscript ===
#!/usr/bin/env python
import glob
import os
import shutil
import subprocess

from waflib.extras import autowaf as autowaf
import waflib.Logs as Logs, waflib.Options as Options

# Version of this package (even if built as a child)
SERD_VERSION       = '0.18.0'
SERD_MAJOR_VERSION = '0'

# Library version (UNIX style major, minor, micro)
# major increment <=> incompatible changes
# minor increment <=> compatible changes (additions)
# micro increment <=> no interface changes
# Serd uses the same version number for both library and package
SERD_LIB_VERSION = SERD_VERSION

# Variables for 'waf dist'
APPNAME = 'serd'
VERSION = SERD_VERSION

# Mandatory variables
top = '.'
out = 'build'

def options(opt):
    opt.load('compiler_c')
    autowaf.set_options(opt)
    opt.add_option('--no-utils', action='store_true', dest='no_utils',
                   help='Do not build command line utilities')
    opt.add_option('--test', action='store_true', dest='build_tests',
                   help='Build unit tests')
    opt.add_option('--stack-check', action='store_true', dest='stack_check',
                   help='Include runtime stack sanity checks')
    opt.add_option('--static', action='store_true', dest='static',
                   help='Build static library')
    opt.add_option('--no-shared', action='store_true', dest='no_shared',
                   help='Do not build shared library')
    opt.add_option('--static-progs', action='store_true', dest='static_progs',
                   help='Build programs as static binaries')
    opt.add_option('--largefile', action='store_true', dest='largefile',
                   help='Build with large file support on 32-bit systems')

def configure(conf):
    conf.load('compiler_c')
    autowaf.configure(conf)
    autowaf.set_c99_mode(conf)
    autowaf.display_header('Serd Configuration')

    conf.env.BUILD_TESTS  = Options.options.build_tests
    conf.env.BUILD_UTILS  = not Options.options.no_utils
    conf.env.BUILD_SHARED = not Options.options.no_shared
    conf.env.STATIC_PROGS = Options.options.static_progs
    conf.env.BUILD_STATIC = (Options.options.static or
                             Options.options.static_progs)

    if not conf.env.BUILD_SHARED and not conf.env.BUILD_STATIC:
        conf.fatal('Neither a shared nor a static build requested')

    if Options.options.stack_check:
        autowaf.define(conf, 'SERD_STACK_CHECK', SERD_VERSION)

    if Options.options.largefile:
        conf.env.append_unique('DEFINES', ['_FILE_OFFSET_BITS=64'])

    # Check for gcov library (for test coverage)
    if conf.env.BUILD_TESTS:
        conf.check_cc(lib='gcov',
                      define_name='HAVE_GCOV',
                      mandatory=False)

    # Check for fmax
    conf.check(function_name='fmax',
               header_name='math.h',
               define_name='HAVE_FMAX',
               lib=['m'],
               mandatory=False)

    # Check for posix_memalign
    conf.check(function_name='posix_memalign',
               header_name='stdlib.h',
               define_name='HAVE_POSIX_MEMALIGN',
               defines=['_POSIX_C_SOURCE=201112L'],
               mandatory=False)

    # Check for posix_fadvise
    conf.check(function_name='posix_fadvise',
               header_name='fcntl.h',
               define_name='HAVE_POSIX_FADVISE',
               defines=['_POSIX_C_SOURCE=201112L'],
               mandatory=False)

    # Check for fileno
    conf.check(function_name='fileno',
               header_name='stdio.h',
               define_name='HAVE_FILENO',
               defines=['_POSIX_C_SOURCE=201112L'],
               mandatory=False)

    autowaf.define(conf, 'SERD_VERSION', SERD_VERSION)
    conf.write_config_header('serd_config.h', remove=False)

    conf.env.INCLUDES_SERD = ['%s/serd-%s' % (conf.env.INCLUDEDIR,
                                              SERD_MAJOR_VERSION)]
    conf.env.LIBPATH_SERD = [conf.env.LIBDIR]
    conf.env.LIB_SERD = ['serd-%s' % SERD_MAJOR_VERSION];

    autowaf.display_msg(conf, 'Utilities', str(conf.env.BUILD_UTILS))
    autowaf.display_msg(conf, 'Unit tests', str(conf.env.BUILD_TESTS))
    print('')

lib_source = [
    'src/env.c',
    'src/node.c',
    'src/reader.c',
    'src/string.c',
    'src/uri.c',
    'src/writer.c',
]

def build(bld):
    # C Headers
    includedir = '${INCLUDEDIR}/serd-%s/serd' % SERD_MAJOR_VERSION
    bld.install_files(includedir, bld.path.ant_glob('serd/*.h'))

    # Pkgconfig file
    autowaf.build_pc(bld, 'SERD', SERD_VERSION, SERD_MAJOR_VERSION, [],
                     {'SERD_MAJOR_VERSION' : SERD_MAJOR_VERSION})

    libflags = ['-fvisibility=hidden']
    libs     = ['m']
    defines  = []
    if bld.env.MSVC_COMPILER:
        libflags = []
        libs     = []
        defines  = ['snprintf=_snprintf']

    # Shared Library
    if bld.env.BUILD_SHARED:
        bld(features        = 'c cshlib',
            export_includes = ['.'],
            source          = lib_source,
            includes        = ['.', './src'],
            lib             = libs,
            name            = 'libserd',
            target          = 'serd-%s' % SERD_MAJOR_VERSION,
            vnum            = SERD_LIB_VERSION,
            install_path    = '${LIBDIR}',
            defines         = defines + ['SERD_SHARED', 'SERD_INTERNAL'],
            cflags          = libflags)

    # Static library
    if bld.env.BUILD_STATIC:
        bld(features        = 'c cstlib',
            export_includes = ['.'],
            source          = lib_source,
            includes        = ['.', './src'],
            lib             = libs,
            name            = 'libserd_static',
            target          = 'serd-%s' % SERD_MAJOR_VERSION,
            vnum            = SERD_LIB_VERSION,
            install_path    = '${LIBDIR}',
            defines         = defines + ['SERD_INTERNAL'])

    if bld.env.BUILD_TESTS:
        test_libs   = libs
        test_cflags = ['']
        if bld.is_defined('HAVE_GCOV'):
            test_libs   += ['gcov']
            test_cflags += ['-fprofile-arcs', '-ftest-coverage']

        # Profiled static library for test coverage
        bld(features     = 'c cstlib',
            source       = lib_source,
            includes     = ['.', './src'],
            lib          = test_libs,
            name         = 'libserd_profiled',
            target       = 'serd_profiled',
            install_path = '',
            defines      = defines + ['SERD_INTERNAL'],
            cflags       = test_cflags)

        # Static profiled serdi for tests
        bld(features     = 'c cprogram',
            source       = 'src/serdi.c',
            includes     = ['.', './src'],
            use          = 'libserd_profiled',
            lib          = test_libs,
            target       = 'serdi_static',
            install_path = '',
            defines      = defines,
            cflags       = test_cflags)

        # Unit test program
        bld(features     = 'c cprogram',
            source       = 'tests/serd_test.c',
            includes     = ['.', './src'],
            use          = 'libserd_profiled',
            lib          = test_libs,
            target       = 'serd_test',
            install_path = '',
            defines      = defines,
            cflags       = test_cflags)

    # Utilities
    if bld.env.BUILD_UTILS:
        obj = bld(features     = 'c cprogram',
                  source       = 'src/serdi.c',
                  target       = 'serdi',
                  includes     = ['.', './src'],
                  use          = 'libserd',
                  lib          = libs,
                  install_path = '${BINDIR}')
        if not bld.env.BUILD_SHARED or bld.env.STATIC_PROGS:
            obj.use = 'libserd_static'
        if bld.env.STATIC_PROGS:
            obj.env.SHLIB_MARKER = obj.env.STLIB_MARKER
            obj.linkflags        = ['-static']

    # Documentation
    autowaf.build_dox(bld, 'SERD', SERD_VERSION, top, out)

    # Man page
    bld.install_files('${MANDIR}/man1', 'doc/serdi.1')

    bld.add_post_fun(autowaf.run_ldconfig)
    if bld.env.DOCS:
        bld.add_post_fun(fix_docs)

def lint(ctx):
    subprocess.call('cpplint.py --filter=+whitespace/comments,-whitespace/tab,-whitespace/braces,-whitespace/labels,-build/header_guard,-readability/casting,-readability/todo,-build/include src/* serd/*', shell=True)

def amalgamate(ctx):
    shutil.copy('serd/serd.h', 'build/serd.h')
    amalgamation = open('build/serd.c', 'w')

    serd_internal_h = open('src/serd_internal.h')
    for l in serd_internal_h:
        if l == '#include "serd/serd.h"\n':
            amalgamation.write('#include "serd.h"\n')
        else:
            amalgamation.write(l)
    serd_internal_h.close()

    for f in lib_source:
        fd = open(f)
        amalgamation.write('\n/**\n   @file %s\n*/' % f)
        header = True
        for l in fd:
            if header:
                if l == '*/\n':
                    header = False
            else:
                if l != '#include "serd_internal.h"\n':
                    amalgamation.write(l)
        fd.close()
    amalgamation.close()

    for i in ['c', 'h']:
        Logs.info('Wrote build/serd.%s' % i)

def fix_docs(ctx):
    if ctx.cmd == 'build':
        autowaf.make_simple_dox(APPNAME)

def upload_docs(ctx):
    os.system('rsync -ravz --delete -e ssh build/doc/html/ drobilla@drobilla.net:~/drobilla.net/docs/serd/')

def file_equals(patha, pathb, subst_from='', subst_to=''):
    fa = open(patha, 'rU')
    fb = open(pathb, 'rU')
    for line in fa:
        if line.replace(subst_from, subst_to) != fb.readline().replace(subst_from, subst_to):
            return False
    fa.close()
    fb.close()
    return True

def test(ctx):
    blddir = autowaf.build_dir(APPNAME, 'tests')
    try:
        os.makedirs(blddir)
    except:
        pass

    for i in glob.glob(blddir + '/*.*'):
        os.remove(i)

    srcdir   = ctx.path.abspath()
    orig_dir = os.path.abspath(os.curdir)

    os.chdir(srcdir)

    good_tests = glob.glob('tests/test-*.ttl')
    good_tests.sort()

    bad_tests = glob.glob('tests/bad-*.ttl')
    bad_tests.sort()

    os.chdir(orig_dir)

    autowaf.pre_test(ctx, APPNAME)

    os.environ['PATH'] = '.' + os.pathsep + os.getenv('PATH')

    autowaf.run_tests(ctx, APPNAME, ['serd_test'], dirs=['.'])

    autowaf.run_tests(ctx, APPNAME, [
            'serdi_static -o turtle %s/tests/base.ttl "base.ttl" > tests/base.ttl.out' % srcdir],
                      0, name='base')

    if not file_equals('%s/tests/base.ttl' % srcdir, 'tests/base.ttl.out'):
        Logs.pprint('RED', 'FAIL: build/tests/base.ttl.out is incorrect')

    nul = os.devnull
    autowaf.run_tests(ctx, APPNAME, [
            'serdi_static file://%s/tests/manifest.ttl > %s' % (srcdir, nul),
            'serdi_static %s/tests/UTF-8.ttl > %s' % (srcdir, nul),
            'serdi_static -v > %s' % nul,
            'serdi_static -h > %s' % nul,
            'serdi_static -s "<foo> a <#Thingie> ." > %s' % nul,
            'serdi_static %s > %s' % (nul, nul)],
                      0, name='serdi-cmd-good')

    autowaf.run_tests(ctx, APPNAME, [
            'serdi_static -q file://%s/tests/bad-id-clash.ttl > %s' % (srcdir, nul),
            'serdi_static > %s' % nul,
            'serdi_static ftp://example.org/unsupported.ttl > %s' % nul,
            'serdi_static -i > %s' % nul,
            'serdi_static -o > %s' % nul,
            'serdi_static -z > %s' % nul,
            'serdi_static -p > %s' % nul,
            'serdi_static -c > %s' % nul,
            'serdi_static -r > %s' % nul,
            'serdi_static -i illegal > %s' % nul,
            'serdi_static -o illegal > %s' % nul,
            'serdi_static -i turtle > %s' % nul,
            'serdi_static /no/such/file > %s' % nul],
                      1, name='serdi-cmd-bad')

    commands = []
    for test in good_tests:

=== debian/changelog ===
serd (0.18.0~dfsg0-1) experimental; urgency=low

  * New upstream release.
  * Refresh patches.
  * Update symbols.
  * Implement a mechanism to automatically repack the tarball.
  * Install NEWS as upstream changelog.

 -- Alessio Treglia <alessio@debian.org>  Sun, 02 Sep 2012 17:18:54 +0200

## serd 0.18.2~dfsg0

=== debian/changelog ===
serd (0.18.2~dfsg0-2) unstable; urgency=low

  * Upload to unstable.
  * Fix Vcs URLs.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Tue, 07 May 2013 09:54:54 +0200

serd (0.18.2~dfsg0-1) experimental; urgency=low

  * New upstream release.
  * Refresh patches.
  * Fix debian/libserd-doc.install.

 -- Alessio Treglia <alessio@debian.org>  Sat, 29 Dec 2012 15:53:15 +0000

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,10 @@
 Build-Depends-Indep:
  doxygen,
  graphviz
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://drobilla.net/software/serd/
-Vcs-Git: git://git.debian.org/git/pkg-multimedia/serd.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/serd.git
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/serd.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/serd.git
 
 Package: libserd-dev
 Section: libdevel

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,8 @@
 #!/usr/bin/make -f
+
+upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\+dfsg\d+)?.*$$/\1/p')
+dfsg_version = $(upstream_version)~dfsg0
+pkg = $(shell dpkg-parsechangelog | sed -ne 's/^Source: //p')
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 LDFLAGS+=-Wl,--as-needed
@@ -35,3 +39,20 @@
 override_dh_strip:
 	dh_strip -plibserd-0-0 --dbg-package=serd-dbg
 	dh_strip --remaining-packages
+
+override_dh_installchangelogs:
+	dh_installchangelogs NEWS
+
+# get-orig-source to drop waf
+get-orig-source:
+	uscan --noconf --force-download --rename --download-current-version --destdir=.
+	tar -xf $(pkg)_$(upstream_version).orig.tar.bz2
+	mv $(pkg)-$(upstream_version) $(pkg)-$(dfsg_version)
+	cd $(pkg)-$(dfsg_version) ; python waf --help > /dev/null
+	mv $(pkg)-$(dfsg_version)/.waf-*/* $(pkg)-$(dfsg_version)
+	sed -i '/^#==>$$/,$$d' $(pkg)-$(dfsg_version)/waf
+	rmdir $(pkg)-$(dfsg_version)/.waf-*
+	find $(pkg)-$(dfsg_version)/ -name '*.pyc' -delete
+	tar cf $(pkg)_$(dfsg_version).orig.tar $(pkg)-$(dfsg_version)
+	xz -9fz $(pkg)_$(dfsg_version).orig.tar
+	rm -rf $(pkg)-$(dfsg_version)

=== debian/watch ===
version=3
opts="uversionmangle=s/-/./,dversionmangle=s/~dfsg.*//" \
http://download.drobilla.net/serd-(.*)\.tar\.bz2

## serd 0.20.0~dfsg1

=== debian/changelog ===
serd (0.20.0~dfsg1-1) unstable; urgency=medium

  [ Jaromír Mikeš ]
  * New upstream release.
  * Added myself as uploader
  * Tuned get-orig-source.
  * Remove --debug from configure to cppflags be passed.
  * Bump Standards.

  [ Alessio Treglia ]
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Fri, 15 Aug 2014 15:59:51 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
- Alessio Treglia <alessio@debian.org>
+ Alessio Treglia <alessio@debian.org>,
+ Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
  debhelper (>= 9),
  pkg-config,
@@ -11,7 +12,7 @@
 Build-Depends-Indep:
  doxygen,
  graphviz
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://drobilla.net/software/serd/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/serd.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/serd.git

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,6 @@
 		--mandir=/usr/share/man \
 		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
 		--strict \
-		--debug \
 		$(CONFIGURE_EXTRA_FLAGS)
 
 override_dh_auto_build:
@@ -56,3 +55,5 @@
 	tar cf $(pkg)_$(dfsg_version).orig.tar $(pkg)-$(dfsg_version)
 	xz -9fz $(pkg)_$(dfsg_version).orig.tar
 	rm -rf $(pkg)-$(dfsg_version)
+	mv $(pkg)_$(dfsg_version).orig.tar.xz ../$(pkg)_$(dfsg_version).orig.tar.xz
+	mv $(pkg)_$(upstream_version).orig.tar.bz2 ../$(pkg)_$(upstream_version).orig.tar.bz2

## serd 0.22.0~dfsg0

=== wscript ===
--- 
+++ 
@@ -3,28 +3,22 @@
 import os
 import shutil
 import subprocess
-
-from waflib.extras import autowaf as autowaf
-import waflib.Logs as Logs, waflib.Options as Options
-
-# Version of this package (even if built as a child)
-SERD_VERSION       = '0.18.0'
-SERD_MAJOR_VERSION = '0'
-
-# Library version (UNIX style major, minor, micro)
+import waflib.Logs as Logs
+import waflib.Options as Options
+import waflib.extras.autowaf as autowaf
+
+# Library and package version (UNIX style major, minor, micro)
 # major increment <=> incompatible changes
 # minor increment <=> compatible changes (additions)
 # micro increment <=> no interface changes
-# Serd uses the same version number for both library and package
-SERD_LIB_VERSION = SERD_VERSION
-
-# Variables for 'waf dist'
-APPNAME = 'serd'
-VERSION = SERD_VERSION
-
-# Mandatory variables
-top = '.'
-out = 'build'
+SERD_VERSION       = '0.22.0'
+SERD_MAJOR_VERSION = '0'
+
+# Mandatory waf variables
+APPNAME = 'serd'        # Package name for waf dist
+VERSION = SERD_VERSION  # Package version for waf dist
+top     = '.'           # Source directory
+out     = 'build'       # Build directory
 
 def options(opt):
     opt.load('compiler_c')
@@ -33,6 +27,8 @@
                    help='Do not build command line utilities')
     opt.add_option('--test', action='store_true', dest='build_tests',
                    help='Build unit tests')
+    opt.add_option('--no-coverage', action='store_true', dest='no_coverage',
+                   help='Do not use gcov for code coverage')
     opt.add_option('--stack-check', action='store_true', dest='stack_check',
                    help='Include runtime stack sanity checks')
     opt.add_option('--static', action='store_true', dest='static',
@@ -43,12 +39,14 @@
                    help='Build programs as static binaries')
     opt.add_option('--largefile', action='store_true', dest='largefile',
                    help='Build with large file support on 32-bit systems')
+    opt.add_option('--no-posix', action='store_true', dest='no_posix',
+                   help='Do not use posix_memalign, posix_fadvise, and fileno, even if present')
 
 def configure(conf):
     conf.load('compiler_c')
     autowaf.configure(conf)
+    autowaf.display_header('Serd Configuration')
     autowaf.set_c99_mode(conf)
-    autowaf.display_header('Serd Configuration')
 
     conf.env.BUILD_TESTS  = Options.options.build_tests
     conf.env.BUILD_UTILS  = not Options.options.no_utils
@@ -66,50 +64,34 @@
     if Options.options.largefile:
         conf.env.append_unique('DEFINES', ['_FILE_OFFSET_BITS=64'])
 
-    # Check for gcov library (for test coverage)
-    if conf.env.BUILD_TESTS:
-        conf.check_cc(lib='gcov',
-                      define_name='HAVE_GCOV',
-                      mandatory=False)
-
-    # Check for fmax
-    conf.check(function_name='fmax',
-               header_name='math.h',
-               define_name='HAVE_FMAX',
-               lib=['m'],
-               mandatory=False)
-
-    # Check for posix_memalign
-    conf.check(function_name='posix_memalign',
-               header_name='stdlib.h',
-               define_name='HAVE_POSIX_MEMALIGN',
-               defines=['_POSIX_C_SOURCE=201112L'],
-               mandatory=False)
-
-    # Check for posix_fadvise
-    conf.check(function_name='posix_fadvise',
-               header_name='fcntl.h',
-               define_name='HAVE_POSIX_FADVISE',
-               defines=['_POSIX_C_SOURCE=201112L'],
-               mandatory=False)
-
-    # Check for fileno
-    conf.check(function_name='fileno',
-               header_name='stdio.h',
-               define_name='HAVE_FILENO',
-               defines=['_POSIX_C_SOURCE=201112L'],
-               mandatory=False)
+    if conf.env.BUILD_TESTS and not Options.options.no_coverage:
+        conf.check_cc(lib='gcov', define_name='HAVE_GCOV', mandatory=False)
+
+    if not Options.options.no_posix:
+        conf.check(function_name = 'posix_memalign',
+                   header_name   = 'stdlib.h',
+                   define_name   = 'HAVE_POSIX_MEMALIGN',
+                   defines       = ['_POSIX_C_SOURCE=201112L'],
+                   mandatory     = False)
+
+        conf.check(function_name = 'posix_fadvise',
+                   header_name   = 'fcntl.h',
+                   define_name   = 'HAVE_POSIX_FADVISE',
+                   defines       = ['_POSIX_C_SOURCE=201112L'],
+                   mandatory     = False)
+
+        conf.check(function_name = 'fileno',
+                   header_name   = 'stdio.h',
+                   define_name   = 'HAVE_FILENO',
+                   defines       = ['_POSIX_C_SOURCE=201112L'],
+                   mandatory     = False)
 
     autowaf.define(conf, 'SERD_VERSION', SERD_VERSION)
+    autowaf.set_lib_env(conf, 'serd', SERD_VERSION)
     conf.write_config_header('serd_config.h', remove=False)
 
-    conf.env.INCLUDES_SERD = ['%s/serd-%s' % (conf.env.INCLUDEDIR,
-                                              SERD_MAJOR_VERSION)]
-    conf.env.LIBPATH_SERD = [conf.env.LIBDIR]
-    conf.env.LIB_SERD = ['serd-%s' % SERD_MAJOR_VERSION];
-
-    autowaf.display_msg(conf, 'Utilities', str(conf.env.BUILD_UTILS))
-    autowaf.display_msg(conf, 'Unit tests', str(conf.env.BUILD_TESTS))
+    autowaf.display_msg(conf, 'Utilities', bool(conf.env.BUILD_UTILS))
+    autowaf.display_msg(conf, 'Unit tests', bool(conf.env.BUILD_TESTS))
     print('')
 
 lib_source = [
@@ -147,7 +129,7 @@
             lib             = libs,
             name            = 'libserd',
             target          = 'serd-%s' % SERD_MAJOR_VERSION,
-            vnum            = SERD_LIB_VERSION,
+            vnum            = SERD_VERSION,
             install_path    = '${LIBDIR}',
             defines         = defines + ['SERD_SHARED', 'SERD_INTERNAL'],
             cflags          = libflags)
@@ -161,7 +143,7 @@
             lib             = libs,
             name            = 'libserd_static',
             target          = 'serd-%s' % SERD_MAJOR_VERSION,
-            vnum            = SERD_LIB_VERSION,
+            vnum            = SERD_VERSION,
             install_path    = '${LIBDIR}',
             defines         = defines + ['SERD_INTERNAL'])
 
@@ -268,6 +250,9 @@
 
 def upload_docs(ctx):
     os.system('rsync -ravz --delete -e ssh build/doc/html/ drobilla@drobilla.net:~/drobilla.net/docs/serd/')
+    for page in glob.glob('doc/*.[1-8]'):
+        os.system('soelim %s | pre-grohtml troff -man -wall -Thtml | post-grohtml > build/%s.html' % (page, page))
+        os.system('rsync -avz --delete -e ssh build/%s.html drobilla@drobilla.net:~/drobilla.net/man/' % page)
 
 def file_equals(patha, pathb, subst_from='', subst_to=''):
     fa = open(patha, 'rU')
@@ -279,67 +264,65 @@
     fb.close()
     return True
 
-def test(ctx):
-    blddir = autowaf.build_dir(APPNAME, 'tests')
-    try:
-        os.makedirs(blddir)
-    except:
-        pass
-
-    for i in glob.glob(blddir + '/*.*'):
-        os.remove(i)
-
-    srcdir   = ctx.path.abspath()
-    orig_dir = os.path.abspath(os.curdir)
-
-    os.chdir(srcdir)
-
-    good_tests = glob.glob('tests/test-*.ttl')
-    good_tests.sort()
-
-    bad_tests = glob.glob('tests/bad-*.ttl')
-    bad_tests.sort()
-
-    os.chdir(orig_dir)
-
-    autowaf.pre_test(ctx, APPNAME)
-
-    os.environ['PATH'] = '.' + os.pathsep + os.getenv('PATH')
-
-    autowaf.run_tests(ctx, APPNAME, ['serd_test'], dirs=['.'])
-
-    autowaf.run_tests(ctx, APPNAME, [
-            'serdi_static -o turtle %s/tests/base.ttl "base.ttl" > tests/base.ttl.out' % srcdir],
-                      0, name='base')
-
-    if not file_equals('%s/tests/base.ttl' % srcdir, 'tests/base.ttl.out'):
-        Logs.pprint('RED', 'FAIL: build/tests/base.ttl.out is incorrect')
-
-    nul = os.devnull
-    autowaf.run_tests(ctx, APPNAME, [
-            'serdi_static file://%s/tests/manifest.ttl > %s' % (srcdir, nul),
-            'serdi_static %s/tests/UTF-8.ttl > %s' % (srcdir, nul),
-            'serdi_static -v > %s' % nul,
-            'serdi_static -h > %s' % nul,
-            'serdi_static -s "<foo> a <#Thingie> ." > %s' % nul,
-            'serdi_static %s > %s' % (nul, nul)],
-                      0, name='serdi-cmd-good')
-
-    autowaf.run_tests(ctx, APPNAME, [
-            'serdi_static -q file://%s/tests/bad-id-clash.ttl > %s' % (srcdir, nul),
-            'serdi_static > %s' % nul,
-            'serdi_static ftp://example.org/unsupported.ttl > %s' % nul,
-            'serdi_static -i > %s' % nul,
-            'serdi_static -o > %s' % nul,
-            'serdi_static -z > %s' % nul,
-            'serdi_static -p > %s' % nul,
-            'serdi_static -c > %s' % nul,
-            'serdi_static -r > %s' % nul,
-            'serdi_static -i illegal > %s' % nul,
-            'serdi_static -o illegal > %s' % nul,
-            'serdi_static -i turtle > %s' % nul,
-            'serdi_static /no/such/file > %s' % nul],
-                      1, name='serdi-cmd-bad')
-
-    commands = []
-    for test in good_tests:
+def earl_assertion(test, passed, asserter):
+    import datetime
+
+    asserter_str = ''
+    if asserter is not None:
+        asserter_str = '\n\tearl:assertedBy <%s> ;' % asserter
+
+    passed_str = 'earl:failed'
+    if passed:
+        passed_str = 'earl:passed'
+
+    return '''
+[]
+	a earl:Assertion ;%s
+	earl:subject <http://drobilla.net/sw/serd> ;
+	earl:test <%s> ;
+	earl:result [
+		a earl:TestResult ;
+		earl:outcome %s ;
+		dc:date "%s"^^xsd:dateTime
+	] .
+''' % (asserter_str,
+       test,
+       passed_str,
+       datetime.datetime.now().replace(microsecond=0).isoformat())
+
+def test_thru(ctx, base, path, check_filename, flags):
+    in_filename = os.path.join(ctx.path.abspath(), path);
+    out_filename = path + '.thru'
+
+    command = ('%s %s -i turtle -o turtle -p foo "%s" "%s" | '
+               '%s -i turtle -o ntriples -c foo - "%s" > %s') % (
+        'serdi_static', flags.ljust(5),
+        in_filename, base,
+        'serdi_static', base, out_filename)
+
+    passed = autowaf.run_test(ctx, APPNAME, command, 0, name=out_filename)
+    if not passed:
+        Logs.pprint('RED', '** Failed command: %s' % command)
+        return False
+
+    if not os.access(out_filename, os.F_OK):
+        Logs.pprint('RED', 'FAIL: %s is missing' % out_filename)
+    elif not file_equals(check_filename, out_filename, '_:docid', '_:genid'):
+        Logs.pprint('RED', 'FAIL: %s != %s' % (out_filename, check_filename))
+    else:
+        #Logs.pprint('GREEN', '** Pass %s == %s' % (out_filename, check_filename))
+        return True
+
+    return False
+
+def test_manifest(ctx, srcdir, testdir, report, base_uri):
+    import rdflib
+    import urlparse
+
+    rdf  = rdflib.Namespace('http://www.w3.org/1999/02/22-rdf-syntax-ns#')
+    rdfs = rdflib.Namespace('http://www.w3.org/2000/01/rdf-schema#')
+    mf   = rdflib.Namespace('http://www.w3.org/2001/sw/DataAccess/tests/test-manifest#')
+    rdft = rdflib.Namespace('http://www.w3.org/ns/rdftest#')
+    earl = rdflib.Namespace('http://www.w3.org/ns/earl#')
+
+    model = rdflib.ConjunctiveGraph()

=== debian/changelog ===
serd (0.22.0~dfsg0-2) unstable; urgency=medium

  * Patches forwarded.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 13 Oct 2015 18:50:01 +0200

serd (0.22.0~dfsg0-1) unstable; urgency=medium

  [ IOhannes m zmölnig ]
  * Patched waf to find generated docs.
  * Remove lock file in 'clean' target.

  [ Jaromír Mikeš ]
  * Update symbols file.
  * Enable parallel build.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 12 Oct 2015 21:20:13 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Build-Depends-Indep:
  doxygen,
  graphviz
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://drobilla.net/software/serd/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/serd.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/serd.git

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 endif
 
 %:
-	dh $@
+	dh $@ --parallel
 
 override_dh_auto_configure:
 	$(WAF) configure \
@@ -30,6 +30,7 @@
 	$(WAF) clean || true
 	find -name "*.pyc" -delete
 	rm -rf build .waf*
+	rm -rf .lock-*_build
 	dh_auto_clean
 
 override_dh_auto_install:
